Subject: Re: What's cooking in git.git (Jan 2026, #05)

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jan 2026 07:23:47 -0800

Elijah Newren <[email-masked]> writes:

> On Thu, Jan 15, 2026 at 10:59 AM Junio C Hamano <[email-masked]> wrote:
>
>> * ac/sparse-checkout-string-list-cleanup (2026-01-15) 1 commit
>>  - sparse-checkout: optimize string_list construction
>>
>>  Code clean-up.
>>
>>  Will merge to 'next'.
>> ...
>
> Shouldn't it restore the string_list_remove_duplicates() calls first?
> (See [email-masked] and
> [email-masked] )

Yes, my mistake.  The draft for the next issue of "What's cooking"
report has it corrected, almost immediately after I sent out the one
you are responding to.  Thanks for confirming.

>> * pw/replay-drop-empty (2025-12-18) 2 commits
>>  - replay: drop commits that become empty
>>  - Merge branch 'ps/history' into pw/replay-drop-empty
>>  (this branch uses ps/history.)
>>
>>  "git replay" is taught to drop commits that become empty (not the
>>  ones that are empty in the original).
>>
>>  On hold, until the base topic gains consensus and stabilizes.
>>  source: <375a[email-masked]>
>
> I think the base topic has done so now (as I'll note below), so this
> should be ready to advance.

THis has been blocked by ps/history for way too long.  I think we
can finally move them now, which means they are good topics for the
next cycle.

>> * ps/history (2026-01-13) 9 commits
>>  - builtin/history: implement "reword" subcommand
>>  - builtin: add new "history" command
>>  - wt-status: provide function to expose status for trees
>>  - replay: support updating detached HEAD
>>  - replay: support empty commit ranges
>>  - replay: small set of cleanups
>>  - builtin/replay: move core logic into "libgit.a"
>>  - builtin/replay: extract core logic to replay revisions
>>  - Merge branch 'kh/replay-invalid-onto-advance' into ps/history
>>  (this branch is used by pw/replay-drop-empty.)
>>
>>  "git history" history rewriting UI.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> Yes, I think it's ready.

Thanks.